html {
    scroll-behavior: smooth;
}

::-webkit-scrollbar{
    width:0px;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    scroll-behavior: smooth;
}

#menu-btn {
    position: fixed;
    top: 10px;
    right: 20px;
    z-index: 1001;
    padding: 10px 20px;
    background-color: #333;
    color: #ffffff;
    border: none;
    cursor: pointer;
    border-radius: 5px;
}

.nav-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 60px;
    background-color: rgba(0, 0, 0, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: right 0.5s ease;
    z-index: 1000;
}

.nav-menu a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    margin: 0 30px;
    transition: color 0.3s;
}

.nav-menu a:hover {
    color: #ff6347;
}

.nav-menu.open {
    right: 0;
}

@media (max-width: 768px){
    .nav-menu {
        height: 100%;
        flex-direction: column;
        justify-content: flex-start;
        padding-top: 60px;
    }

    .nav-menu a {
        font-size: 24px;
        margin: 20px 0;
    }
}

@media (max-width: 480px) {
    #menu-btn {
        padding: 10px 15px;
        font-size: 14px;
    }

    .nav-menu a {
        font-size: 20px;
        margin: 15px 0;
    }
}

.section {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
    text-align: center;
}

.home-section {
    background-color: #f0f0f0;
}


.projects-section {
    background-color: #c0c0c0;
}

.contact-section {
    background-color: #b0b0b0;
}

.centered-div {
    width: 50%;
    background-color: white;
    padding: 40px;
    border-radius: 20px 20px 0 0;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.small-text {
    font-size: 36px;
    font-weight: bold;
    margin: 0;
}

.large-text {
    font-size: 60px;
    font-weight: bold;
    margin: 10px 0 0 0;
}

.about-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    background-color: #e0e0e0;

}


@media(max-width: 900px){
    .about-section{
        height: 130vh;
    }
}


@media(max-width: 710px){
    .about-section{
        height: 150vh;
    }
}


@media(max-width: 500px){
    .about-section{
        height: 180vh;
    }
}

@media(max-width: 430px){
    .about-section{
        height: 200vh;
    }
}


@media(max-width: 390px){
    .about-section{
        height: 250vh;
    }
}

.about-content {
    border-radius: 20px 20px 0 0;
    display: flex;
    align-items: center;
    max-width: 80%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    background-color: #f0f0f0;
    padding: 20px;
    box-sizing: border-box;

}


.about-photo {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
    margin-right: 20px;
}

.about-description {
    font-size: 18px;
    line-height: 1.6;
    text-align: left;
}

@media (max-width: 768px) {
    .about-content {
        flex-direction: column;
        text-align: center;
    }
    .about-photo {
        margin-right: 0;
        margin-bottom: 20px;
    }
}

.skills-section {
    background-color: #d0d0d0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;

}

@media (max-width : 435px){
    .skills-section{
        height: 150vh;
    }
}

.skills-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    max-width: 800px;
    width: 100%;
}

.skill-tile {

    background-color: #f0f0f0;
    color: #333;
    padding: 20px;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    border-radius: 10px 10px 0 0;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.projects-section {
    background-color: #c0c0c0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
}

@media(max-width: 577px){
    .projects-section{
        height: 200vh;
    }
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    max-width: 1000px;
    width: 100%;
}

.project-card {
    background-color: white;
    border-radius: 10px 10px 0 0;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    padding: 10px;
}

.project-photo {
    width: 100%;
    height: 100px;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
}

.project-btn {
    display: inline-block;
    margin-top: 10px;
    padding: 10px 20px;
    background-color: #333;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}

.project-btn:hover {
    background-color: #ff6347;
}

.contact-section {
    background-color: #b0b0b0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
}

.contact-content {
    border-radius: 20px 20px 0 0;
    padding: 40px;
    background-color: #c0c0c0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 80%;
    max-width: 1200px;
}

.contact-left, .contact-right {
    width: 45%;
}

.contact-left h3, .contact-right h3 {
    margin-top: 0;
}

#message {
    width: 100%;
    height: 100px;
    padding: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    outline: none;
}

#send-btn {
    padding: 10px 20px;
    background-color: #333;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#send-btn:hover {
    background-color: #ff6347;
}

.social-media-list {
    list-style-type: none;
    padding: 0;
}

.social-media-list li {
    margin-bottom: 10px;
}

.social-media-list a {
    color: #333;
    text-decoration: none;
    font-size: 18px;
}

.social-media-list a:hover {
    color: #ff6347;
}


@media (max-width: 768px) {
    .contact-content {
        flex-direction: column;
        align-items: center;
    }

    .contact-left, .contact-right {
        width: 100%;
        text-align: center;
    }


}

